using GConf;

public struct Settings {
	public static bool get_show_line_numbers () {
		return GConf.Client.get_default ().get_bool ("/apps/scratchpad/show_line_numbers");
	}
	public static void set_show_line_numbers (bool val) {
		GConf.Client.get_default ().set_bool ("/apps/scratchpad/show_line_numbers", val);
	}
	
	public static bool get_show_margin () {
		return GConf.Client.get_default ().get_bool ("/apps/scratchpad/show_margin");
	}
	public static void set_show_margin (bool val) {
		GConf.Client.get_default ().set_bool ("/apps/scratchpad/show_margin", val);
	}
}

public struct SystemSettings {
	public static string get_font () {
		return GConf.Client.get_default ().get_string ("/desktop/gnome/interface/monospace_font_name");
	}
}
